pfSense Packages - Bug #5250

ACB backup time should display local time
10/03/2015 03:37 PM - Kill Bill

Status: Resolved Start date: 10/03/2015
Priority: Normal Due date:
Assignee: Jim Pingle % Done: 100%
Category: AutoConfigBackup Estimated time: 0.00 hour
Target version:
Plus Target Version: Affected Plus
Version:
Affected Version: All Affected All
Architecture:
Description

Having some unknown TZ time displayed in the list is not exactly helpful... I'd do a pull request except that this apparently is some

server payload where it comes from, no idea what to do with it, honestly.

History

#1 - 10/03/2015 03:54 PM - Anonymous
- Status changed from New to Confirmed

- Assignee set to Anonymous

Seems to display the time in UDT+4

#2 - 10/03/2015 03:58 PM - Kill Bill

You mean this? http://www.urbandictionary.com/define.php?term=UDT&defid=5416562

-D

#3 - 10/03/2015 04:44 PM - Anonymous

That or lunch-time zone (Douglas Adams)

#4 - 10/26/2015 09:08 AM - Anonymous
- Status changed from Confirmed to Feedback

- Assignee changed from Anonymous to Kill Bill

Fixed

#5 - 10/26/2015 10:59 AM - Kill Bill

Not sure where's this fixed? Cannot see any update to the package, and just to be sure | made a backup and the time displayed is 6 hours off.

#6 - 10/26/2015 11:29 AM - Anonymous
- Status changed from Feedback to Assigned

- Assignee changed from Kill Bill to Anonymous

#7 - 10/26/2015 11:32 AM - Anonymous
- Status changed from Assigned to Feedback

- Assignee changed from Anonymous to Kill Bill

| must be misunderstanding the issue.

Would you clarify with step by step instructions to reproduce please?

#8 - 10/26/2015 11:58 AM - Kill Bill
It really is easy. If you find yourself outside of the unknown backup server timezone, the diplayed backup times are crap. How much crap they are
depends on the offset from the unknown backup server timezone. Considering the backup list does not list a timezone, | have no idea what's the time
displayed supposed to mean. ATM, the times are 6 hours off the local timezone (Central European Time).

#9 - 10/26/2015 12:05 PM - Kill Bill
Just to avoid more confusion: CET=GMT+1. (And CEST=GMT+2 -- that's the daylight saving TZ which was used until last Sunday there.)

#10 - 10/26/2015 12:17 PM - Kill Bill

These are the exact same backup; the Backup History shows correct local time, the ACB list shows unknown TZ junk. (Even the date won't match
depending on when the configuration change is made.)
#11 - 10/26/2015 12:47 PM - Anonymous

So the missing information here is that you are talking about a package. | didn't realize that until | asked another team member. | should have
checked the bug category :)

I'll research the matter.

#12 - 11/12/2015 09:21 AM - Kill Bill

Uhm. No idea why this bug got assigned to me. Nothing | could fix here.

#13 - 11/12/2015 09:23 AM - Jim Pingle

- Assignee changed from Kill Bill to Anonymous

That was when it was waiting for feedback from you, it should have been moved back after we got the additional info, fixed now

#14 - 11/12/2015 11:56 AM - Kill Bill

Jim P wrote:

fixed now

It's now 7 hours off, instead of 6 previously.

Screenshot_ACB2.png
Guys, | have NFC what magic are you trying to do there, but may | suggest to use the Unix timestamps which can be converted locally to whatever is
proper local TZ by the package?

#15 - 11/12/2015 12:05 PM - Jim Pingle

I meant | fixed the assignment :-)

#16 - 11/12/2015 12:15 PM - Kill Bill

LOLz... Well, unless you have had a DST switch in past two weeks, your server seems to be some sort of time travel machine. :-D

#17 - 11/12/2015 12:59 PM - Jim Pingle

- Assignee changed from Anonymous to Kill Bill

| just pushed a fix, give it a shot. Went went a fairly standard datestamp output format, feel free to submit suggestions for a different post-conversion
format if the chosen one isn't OK.

#18 - 11/12/2015 01:10 PM - Jim Pingle
- % Done changed from 0 to 100

Applied in changeset commit:683f9eced9675528b61558ed327be89168b5d33f.

#19 - 11/12/2015 01:21 PM - Kill Bill

Jim P wrote:

went a fairly standard datestamp output format, feel free to submit suggestions for a different post-conversion format if the chosen one isn't OK.

Nah, RFC2822 is perfectly fine. Confirmed working, thanks :)
#20 - 11/12/2015 01:39 PM - Jim Pingle
- Status changed from Feedback to Assigned
- Assignee changed from Kill Bill to Jim Pingle

Looks like a small-ish bug, when deleting it wants the old TS, I'll keep working on it.
#21 - 11/12/2015 01:43 PM - Jim Pingle
OK fix pushed. | tested and re-tested on 2.0.x and 2.1 as well, worked OK everywhere. Changing the firewall time zone was reflected in the list as

well.

#22 - 11/12/2015 01:50 PM - Jim Pingle
- Status changed from Assigned to Feedback

Applied in changeset commit:a9caf736867d5df0ff3b82c9e8500318832fa537.
#23 - 11/12/2015 02:00 PM - Kill Bill
Yeah, deleting works now as well. Probably should nuke the {$_REQUEST['rmver']} from the savemsg on line 196, since it shows something different

now than what the user has confirmed, and | don't think it's worth fiddling with this to make those match.

#24 - 11/12/2015 02:46 PM - Jim Pingle

Went ahead and fixed it up there, too. It wasn't difficult to accommodate, better off this way anyhow.

#25 - 11/12/2015 02:50 PM - Jim Pingle
Applied in changeset commit:13fcabcbb24889a43afb3748bdda5e9905de1fe5.

#26 - 11/12/2015 02:58 PM - Kill Bill

Works. | guess all set now. :)

#27 - 11/12/2015 03:02 PM - Jim Pingle

- Status changed from Feedback to Resolved

Seems fine all around here as well. Closing this out.
